# Interface WrappedMessageHandler

All Known Implementing Classes:
  `PojoMessageHandlerBase, PojoMessageHandlerPartialBase, PojoMessageHandlerPartialBinary, PojoMessageHandlerPartialText, PojoMessageHandlerWholeBase, PojoMessageHandlerWholeBinary, PojoMessageHandlerWholePong, PojoMessageHandlerWholeText`

public interface WrappedMessageHandler
Interface for message handlers that wrap another message handler.

## Method Summary

Modifier and Type
Method
Description
`long`
`getMaxMessageSize()`
Returns the maximum message size supported by this handler.
`MessageHandler`
`getWrappedHandler()`
Returns the wrapped message handler, or `null` if the underlying POJO is not a message handler.

## Method Details

### getMaxMessageSize

long getMaxMessageSize()
Returns the maximum message size supported by this handler.

Returns:
  the maximum message size

### getWrappedHandler

MessageHandler getWrappedHandler()
Returns the wrapped message handler, or `null` if the underlying POJO is not a message handler.

Returns:
  the wrapped message handler